/*
 *  vec.cpp
 *
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Dec. 2020
 */

#include "vec.h"

void print(vector<int> u)
{
    printf("[");
    for(unsigned int i = 0; i < (u.size() - 1); i++)
        printf("%d, ", u[i]);
    printf("%d]\n", u[u.size() - 1]);
}

vector<int> add(vector<int> u, vector<int> v)
{
    assert(u.size() == v.size());
    vector<int> w (u.size(), 0);
    for(unsigned int i=0; i<u.size(); i++)
        w[i] = u[i] + v[i];
    
    return w;
}

vector<int> sub(vector<int> u, vector<int> v)
{
    assert(u.size() == v.size());
    vector<int> w (u.size(), 0);
    for(unsigned int i=0; i<u.size(); i++)
        w[i] = u[i] - v[i];
    
    return w;
}

vector<int> scale(vector<int> u, int alpha)
{
    vector<int> w (u.size(), 0);
    for(unsigned int i=0; i<u.size(); i++)
        w[i] = alpha*u[i];
    
    return w;
}